package com.sict.excel.mapper;

import java.util.List;

import com.sict.excel.dto.AnalysisGraphicDTO;
import com.sict.excel.dto.AnalysisProvinceDTO;
import com.sict.excel.dto.DiagnosisDTO;
import com.sict.excel.dto.EarlyCancerHospitalDTO;
import com.sict.excel.dto.EarlyCancerRankDTO;
import com.sict.excel.dto.GastroscopeTestDTO;
import com.sict.excel.dto.HpPositiveDTO;
import com.sict.excel.dto.RiskDTO;
import com.sict.excel.dto.ScreeningRankDTO;
import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.dto.SerumStatisticsDTO;


public interface DownloadMapper{

	/**
	 * 	 筛查监控-血清学检查
	 * @return
	 */
	SerumStatisticsDTO getSerumStatistics();
	
	/***
	 * 	筛查排名-按血检人数排名
	 * @return
	 */
	List<ScreeningRankProvinceDTO> getScreeningRankProvinceDTOs();
	
	/**
	 * 	省份早癌排名
	 * @return
	 */
	List<EarlyCancerRankDTO> getEarlyCancerRankDTOs();
	
	/**
	 * 	运营分析-医院早癌 胃癌数
	 */
	List<EarlyCancerHospitalDTO> geteaCancerHospitals();
	
	/**
	 * 	运营分析-省份数据
	 * @return
	 */
	List<AnalysisProvinceDTO> getAnalysisProvinceDTOs();
	
	/***
	 * 	社区筛查排名-血检人数/体检筛查排名-血检人数/门诊筛查排名-血检人数
	 * @return
	 */
	List<ScreeningRankDTO> getScreeningRankDTOs();
	
	
	/**
	 * 	运营分析-图例数据
	 * @return
	 */
	AnalysisGraphicDTO getAnalysisGraphicDTOs();
	
	/**
	 * 	筛查监控-胃镜检查
	 * @return
	 */
	GastroscopeTestDTO getGastroscopeTestDTOs();
	
	/**
	 * 	Hp抗体阳性人数 
	 * @return
	 */
	HpPositiveDTO getHpPositiveDTO();
	
	/***
	 * 	诊断结果
	 * @return
	 */
	DiagnosisDTO getDiagnosisDTO();
	
	/**
	 * 	风险等级
	 * @return
	 */
	List<RiskDTO> getRiskDTOs();
	
}
