package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.bo.AnalysisGraphicBO;
import com.sict.excel.dto.AnalysisGraphicDTO;
import com.sict.excel.dto.EarlyCancerHospitalDTO;
import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class AnalysisGraphicExcel {

	public static HSSFSheet getsheet4(HSSFWorkbook workbook) throws IOException {
		
			SqlSession sqlSession = SqlSessionUtil.getSession();
		
			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			
			ExportExcelUtil<AnalysisGraphicBO> util = new ExportExcelUtil<AnalysisGraphicBO>();
			
			String[] columnNames = {"收集项","数值","备注"};
			
			AnalysisGraphicDTO graphicDTO = mapper.getAnalysisGraphicDTOs();
			
			List<AnalysisGraphicBO> list = new ArrayList<AnalysisGraphicBO>();
			
			AnalysisGraphicBO analysisGraphicBO = new AnalysisGraphicBO();
			analysisGraphicBO.setItem("申请胃癌筛查的医院总数");
			analysisGraphicBO.setNumber(graphicDTO.getApplyGastricCancerScreeningHosp());
			list.add(analysisGraphicBO);
			
			AnalysisGraphicBO analysisGraphicBO2 = new AnalysisGraphicBO();
			analysisGraphicBO2.setItem("通过申请医院数 ");
			analysisGraphicBO2.setNumber(graphicDTO.getPassApplyHosp());
			list.add(analysisGraphicBO2);
			
			AnalysisGraphicBO analysisGraphicBO3 = new AnalysisGraphicBO();
			analysisGraphicBO3.setItem("平台账号申请医院数");
			analysisGraphicBO3.setNumber(graphicDTO.getPlatAccountApplyHosp());
			list.add(analysisGraphicBO3);
			
			AnalysisGraphicBO analysisGraphicBO4 = new AnalysisGraphicBO();
			analysisGraphicBO4.setItem("账号已开通的医院数");
			analysisGraphicBO4.setNumber(graphicDTO.getOpenAccountHosp());
			list.add(analysisGraphicBO4);
			
			
		//	String path = "E:/2019/excel/" + "运营分析-图例数据.xls";
			
			HSSFSheet sheet =  util.exportExcel(workbook,"运营分析-图例数据", columnNames, list, ExportExcelUtil.EXCEl_FILE_2007);
			sqlSession.commit();
		
			sqlSession.close();
			
			return sheet;


	}

}
