package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.log4j.DailyRollingFileAppender;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.apache.poi.ss.util.CellRangeAddress;
import org.apache.poi.ss.util.RegionUtil;

import com.sict.excel.dto.DiagnosisDTO;
import com.sict.excel.dto.RiskDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.SqlSessionUtil;

public class Diagnosis {

	public static HSSFSheet getSheet3(HSSFWorkbook workbook) throws IOException {
		HSSFSheet sheet = workbook.createSheet("筛查监控-诊断结果");
		sheet.setDefaultColumnWidth(15);
		// 设置这些样式
		HSSFCellStyle style = workbook.createCellStyle();
		style.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		style.setAlignment(HSSFCellStyle.ALIGN_CENTER);
		// 背景色
		// 设置边框
		style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style.setBorderTop(HSSFCellStyle.BORDER_THIN);

		style.setFillForegroundColor(IndexedColors.PALE_BLUE.getIndex());
		style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
		style.setFillBackgroundColor(IndexedColors.PALE_BLUE.getIndex());
		// 生成一个字体
		HSSFFont font = workbook.createFont();
		font.setBoldweight(HSSFFont.BOLDWEIGHT_BOLD);
		font.setFontName("宋体");
		style.setFont(font);

		HSSFRow row = sheet.createRow(0);
		// 合并行
		HSSFCell cell = row.createCell(0);
		cell.setCellValue("收集项");
		cell.setCellStyle(style);
		CellRangeAddress region = new CellRangeAddress(0, 0, 0, 1);
		sheet.addMergedRegion(region);
		RegionUtil.setBorderBottom(1, region, sheet, workbook); // 下边框
		RegionUtil.setBorderLeft(1, region, sheet, workbook); // 左边框
		RegionUtil.setBorderRight(1, region, sheet, workbook); // 有边框
		RegionUtil.setBorderTop(1, region, sheet, workbook); // 上边框

		// 数量
		HSSFCell cell12 = row.createCell(2);
		cell12.setCellStyle(style);
		cell12.setCellValue("数量");

		HSSFCellStyle style2 = workbook.createCellStyle();
		style2.setAlignment(HSSFCellStyle.ALIGN_CENTER);
		// 背景色
		// 设置边框
		style2.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style2.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style2.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style2.setBorderTop(HSSFCellStyle.BORDER_THIN);
		// 生成一个字体
		HSSFFont font2 = workbook.createFont();
		font.setFontHeightInPoints((short) 11);
		font.setColor(IndexedColors.AUTOMATIC.getIndex());
		font.setFontName("宋体");
		style2.setFont(font2);// 把字体 应用到当前样式
		
		HSSFRow row4 ;
		HSSFCell cell41,cell42,cell43,cell44;
		
		SqlSession sqlSession = SqlSessionUtil.getSession();
		DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
		DiagnosisDTO diagnosis = mapper.getDiagnosisDTO();
		
		
		String[] str1 = {"诊断结果","","","","其他","",""};
		String[] str2 = {"高级别上皮内瘤变","低级别上皮内瘤变","早期胃癌","早期食管癌","萎缩性胃炎","胃溃疡","胃息肉"};
		Integer[] number = {diagnosis.getHigeLevel(),diagnosis.getLowLevel(),diagnosis.getEarlyGastricCancer(),diagnosis.getEarlyEsophagealCancer(),diagnosis.getAtrophicGastritis(),diagnosis.getGastricUlcer(),diagnosis.getGastricPolyps()};
		String[] str3 = {"食管"+diagnosis.getHighEsophageal()+"+胃"+diagnosis.getHighStomach(),"食管"+diagnosis.getLowEsophageal()+"+胃"+diagnosis.getLowStomach(),"进展期胃癌"+diagnosis.getAdvancedGastricCancer(),"进展期食管癌"+diagnosis.getAdvancedEsophagealCancer(),"","",""};
		for (int i = 1; i < 8; i++) {
			row4 = sheet.createRow(i);
			
			cell41 = row4.createCell(0);
			cell41.setCellStyle(style2);
			cell41.setCellValue(str1[i-1]);
			
			cell42 = row4.createCell(1);
			cell42.setCellStyle(style2);
			cell42.setCellValue(str2[i-1]);
			
			cell43 = row4.createCell(2);
			cell43.setCellStyle(style2);
			cell43.setCellValue(number[i-1]);
			
			cell44 = row4.createCell(3);
			cell44.setCellValue(str3[i-1]);
			
		}
		CellRangeAddress region2 = new CellRangeAddress(1, 4, 0, 0);
		sheet.addMergedRegion(region2);
		RegionUtil.setBorderBottom(1, region2, sheet, workbook); // 下边框
		RegionUtil.setBorderLeft(1, region2, sheet, workbook); // 左边框
		RegionUtil.setBorderRight(1, region2, sheet, workbook); // 有边框
		RegionUtil.setBorderTop(1, region2, sheet, workbook); // 上边框
		CellRangeAddress region3 = new CellRangeAddress(5, 7, 0, 0);
		sheet.addMergedRegion(region3);
		RegionUtil.setBorderBottom(1, region3, sheet, workbook); // 下边框
		RegionUtil.setBorderLeft(1, region3, sheet, workbook); // 左边框
		RegionUtil.setBorderRight(1, region3, sheet, workbook); // 有边框
		RegionUtil.setBorderTop(1, region3, sheet, workbook); // 上边框
		
		HSSFRow row5 ;
		HSSFCell cell51,cell52,cell53;
		
		List<RiskDTO> riskDTOs = mapper.getRiskDTOs();
		String[] str4 = {"","高危","中危","低危","总数"};
		Integer highInteger=riskDTOs.get(0).getTotal();
		Integer lowString = riskDTOs.get(1).getTotal();
		Integer mediuString = riskDTOs.get(2).getTotal();
		Integer totalInteger = highInteger.intValue()+lowString.intValue()+mediuString.intValue();
		double highdouble = Double.parseDouble(highInteger.toString());
		double mediumdouble = Double.parseDouble(mediuString.toString());
		double lowdouble = Double.parseDouble(lowString.toString());
		double totaldouble = Double.parseDouble(totalInteger.toString());
		String[] str5 = {"总数",highInteger.toString(),mediuString.toString(),lowString.toString(),totalInteger+""};
		String[] str6 = {"比例",String.format("%.1f", highdouble/totaldouble*100)+"%",String.format("%.1f", mediumdouble/totaldouble*100)+"%",String.format("%.1f", lowdouble/totaldouble*100)+"%","100%"};
		for (int i = 11; i < 16; i++) {
			
			row5 = sheet.createRow(i);
			
			cell51 = row5.createCell(0);
			cell51.setCellValue(str4[i-11]);
			
			cell52 = row5.createCell(1);
			cell52.setCellValue(str5[i-11]);
			
			HSSFCellStyle style3 = workbook.createCellStyle();
			HSSFFont font3 = workbook.createFont();
			font3.setBoldweight(HSSFFont.BOLDWEIGHT_BOLD);
			font3.setFontName("宋体");
			style3.setFont(font);
			cell53 = row5.createCell(2);
			cell53.setCellValue(str6[i-11]);
			cell53.setCellStyle(style3);
		}
		
		return sheet;
	}

}
