package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.IndexedColors;

import com.sict.excel.dto.GastroscopeTestDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.SqlSessionUtil;

public class GastroscopeTest {

	public static HSSFSheet getSheet2(HSSFWorkbook workbook) throws IOException {
		
		SqlSession sqlSession = SqlSessionUtil.getSession();
		DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
		GastroscopeTestDTO gastroscopeTestDTO = mapper.getGastroscopeTestDTOs();
		HSSFSheet sheet = workbook.createSheet("筛查监控-胃镜检查");
		sheet.setDefaultColumnWidth(15);
		
		HSSFRow row = sheet.createRow(0);
		HSSFCellStyle style = workbook.createCellStyle();
		// 设置这些样式
		style.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		// 背景色
		style.setFillForegroundColor(IndexedColors.PALE_BLUE.getIndex());
		style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
		style.setFillBackgroundColor(IndexedColors.PALE_BLUE.getIndex());
		// 设置边框
		style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style.setBorderTop(HSSFCellStyle.BORDER_THIN);
		// 生成一个字体
		HSSFFont font = workbook.createFont();
		font.setFontHeightInPoints((short) 11);
		font.setColor(IndexedColors.AUTOMATIC.getIndex());
		font.setFontName("宋体");
		style.setFont(font);// 把字体 应用到当前样式

		HSSFCell cell = row.createCell(0);
		cell.setCellValue("收集项");
		cell.setCellStyle(style);
		HSSFCell cell2 = row.createCell(1);
		cell2.setCellValue("数量");
		cell2.setCellStyle(style);

		HSSFCellStyle style2 = workbook.createCellStyle();
		// 设置这些样式
		style2.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		// 背景色
		style2.setFillForegroundColor(IndexedColors.WHITE.getIndex());
		style2.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
		style2.setFillBackgroundColor(IndexedColors.WHITE.getIndex());
		// 设置边框
		style2.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style2.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style2.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style2.setBorderTop(HSSFCellStyle.BORDER_THIN);
		style2.setFont(font);// 把字体 应用到当前样式
		HSSFRow row2 = sheet.createRow(1);// 第2行
		HSSFCell cell3 = row2.createCell(0);
		cell3.setCellStyle(style2);
		cell3.setCellValue("实际精查人数");
		HSSFCell cell4 = row2.createCell(1);
		cell4.setCellStyle(style2);
		cell4.setCellValue(gastroscopeTestDTO.getActualGastroscope()+"");
		HSSFCell cell7 = row2.createCell(2);
		double actual = Double.parseDouble(gastroscopeTestDTO.getActualGastroscope().toString());
		double plan = Double.parseDouble(gastroscopeTestDTO.getPlanGastroscope().toString());
		cell7.setCellValue(String.format("%.2f", actual/plan*100)+"%");

		HSSFRow row3 = sheet.createRow(2);// 第三行
		HSSFCell cell5 = row3.createCell(0);
		cell5.setCellStyle(style2);
		cell5.setCellValue("应精查人数");
		HSSFCell cell6 = row3.createCell(1);
		cell6.setCellStyle(style2);
		cell6.setCellValue(gastroscopeTestDTO.getPlanGastroscope()+"");

		
		//FileOutputStream outputStream = new FileOutputStream("E:/2019/excel/筛查监控-胃镜检查.xls");
		sqlSession.commit();
		sqlSession.close();
		return sheet;
	}

}
