package com.sict.excel.test;

import java.io.FileOutputStream;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.IndexedColors;

import com.sict.excel.dto.HpPositiveDTO;
import com.sict.excel.dto.ScreeningRankDTO;
import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.dto.SerumStatisticsDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class SerumTest {
	public static HSSFSheet getsheet1(HSSFWorkbook workbook) throws Exception {

		SqlSession sqlSession = SqlSessionUtil.getSession();// 血检总人数
		SqlSession shchyy = SqlSessionUtil.getShchyySession();// 社区血检人数
		SqlSession geca = SqlSessionUtil.getGecaSession();// 体检
		SqlSession qg = SqlSessionUtil.getQgSession();// 门诊
		DownloadMapper sqlSessionmapper = sqlSession.getMapper(DownloadMapper.class);
		DownloadMapper shchyyMapper = shchyy.getMapper(DownloadMapper.class);
		DownloadMapper gecaMapper = geca.getMapper(DownloadMapper.class);
		DownloadMapper qgMapper = qg.getMapper(DownloadMapper.class);
		SerumStatisticsDTO serumall = sqlSessionmapper.getSerumStatistics();
		List<ScreeningRankDTO> listshchyy = shchyyMapper.getScreeningRankDTOs();
		List<ScreeningRankDTO> listgeca = gecaMapper.getScreeningRankDTOs();
		List<ScreeningRankDTO> listqg = qgMapper.getScreeningRankDTOs();
		Integer serumInteger = serumall.getSerumTestTotal();
		Integer shchyyinInteger = 0;
		Integer gecaintInteger = 0;
		Integer qgInteger = 0;
		Integer hpInteger = serumall.getIggPositive();
		for (ScreeningRankDTO screeningRankDTO : listshchyy) {
			shchyyinInteger += screeningRankDTO.getActualserum();
		}
		for (ScreeningRankDTO screeningRankDTO : listgeca) {
			gecaintInteger += screeningRankDTO.getActualserum();
		}
		for (ScreeningRankDTO screeningRankDTO : listqg) {
			qgInteger += screeningRankDTO.getActualserum();
		}
		HSSFSheet sheet = workbook.createSheet("筛查监控-血清学检查");
		sheet.setDefaultColumnWidth(15);

		HSSFRow row = sheet.createRow(0);
		HSSFCellStyle style = workbook.createCellStyle();
		// 设置这些样式
		style.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		// 背景色
		style.setFillForegroundColor(IndexedColors.PALE_BLUE.getIndex());
		style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
		style.setFillBackgroundColor(IndexedColors.PALE_BLUE.getIndex());
		// 设置边框
		style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style.setBorderTop(HSSFCellStyle.BORDER_THIN);
		// 生成一个字体
		HSSFFont font = workbook.createFont();
		font.setFontHeightInPoints((short) 11);
		font.setColor(IndexedColors.AUTOMATIC.getIndex());
		font.setFontName("宋体");
		style.setFont(font);// 把字体 应用到当前样式

		HSSFCell cell = row.createCell(0);
		cell.setCellValue("收集项");
		cell.setCellStyle(style);
		HSSFCell cell2 = row.createCell(1);
		cell2.setCellValue("数量");
		cell2.setCellStyle(style);

		HSSFCellStyle style2 = workbook.createCellStyle();
		// 设置这些样式
		style2.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		// 背景色
		style2.setFillForegroundColor(IndexedColors.WHITE.getIndex());
		style2.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
		style2.setFillBackgroundColor(IndexedColors.WHITE.getIndex());
		// 设置边框
		style2.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style2.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style2.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style2.setBorderTop(HSSFCellStyle.BORDER_THIN);
		style2.setFont(font);// 把字体 应用到当前样式
		HSSFRow row2 = sheet.createRow(1);// 第2行
		HSSFCell cell3 = row2.createCell(0);
		cell3.setCellStyle(style2);
		cell3.setCellValue("血检总人数");
		HSSFCell cell4 = row2.createCell(1);
		cell4.setCellStyle(style2);
		cell4.setCellValue(serumInteger + "");

		HSSFRow row3 = sheet.createRow(2);// 第三行
		HSSFCell cell5 = row3.createCell(0);
		cell5.setCellStyle(style2);
		cell5.setCellValue("Hp抗体阳性人数 ");
		HSSFCell cell6 = row3.createCell(1);
		cell6.setCellStyle(style2);
		cell6.setCellValue(hpInteger + "");

		HSSFCell cell7 = row3.createCell(2);
		double all = Double.parseDouble(serumInteger.toString());
		double hp2 = Double.parseDouble(hpInteger.toString());
		cell7.setCellValue(String.format("%.2f", hp2 / all * 100) + "%");
		

		HSSFCellStyle style3 = workbook.createCellStyle();
		HSSFRow row8 = sheet.createRow(7);//7行
		HSSFCell cell71 = row8.createCell(0);
		cell71.setCellValue("社区血检人数");
		style3.setFont(font);
		cell71.setCellStyle(style3);
		HSSFCell cell72 = row8.createCell(1);
		cell72.setCellStyle(style3);
		cell72.setCellValue(shchyyinInteger+"");
		
		HSSFRow row9 = sheet.createRow(8);//8行
		HSSFCell cell91 = row9.createCell(0);
		cell91.setCellValue("门诊血检人数");
		style3.setFont(font);
		cell91.setCellStyle(style3);
		HSSFCell cell92 = row9.createCell(1);
		cell92.setCellStyle(style3);
		cell92.setCellValue(qgInteger+"");
		
		HSSFRow row10 = sheet.createRow(9);//9行
		HSSFCell cell101 = row10.createCell(0);
		cell101.setCellValue("体检血检人数");
		style3.setFont(font);
		cell101.setCellStyle(style3);
		HSSFCell cell102 = row10.createCell(1);
		cell102.setCellStyle(style3);
		cell102.setCellValue(gecaintInteger+"");
		
		HSSFRow row11= sheet.createRow(10);//10行
		HSSFCell cell111 = row11.createCell(0);
		cell111.setCellValue("合计");
		style3.setFont(font);
		cell111.setCellStyle(style3);
		HSSFCell cell112 = row11.createCell(1);
		cell112.setCellStyle(style3);
		cell112.setCellValue(String.valueOf(shchyyinInteger.intValue()+gecaintInteger.intValue()+qgInteger.intValue()));
		
		
		FileOutputStream outputStream = new FileOutputStream("E:/2019/excel/筛查监控-血清学检查.xls");

		sqlSession.commit();
		shchyy.commit();
		geca.commit();
		qg.commit();
		qg.close();
		geca.close();
		qg.close();
		sqlSession.close();
		return sheet;

	}
}
